import { ReactNode } from 'react';
import { Overflow } from './boxTypes';
import { ClientRect, Coordinates, MainDirections } from './utils/positioningTypes';
import { Indexable } from './zIndex';
export type Role = 'dialog' | 'listbox' | 'menu' | 'tooltip';
type OwnProps = {
    accessibilityLabel?: string;
    anchor: HTMLElement;
    bgColor: 'blue' | 'darkGray' | 'white';
    border?: boolean;
    caret?: boolean;
    children?: ReactNode;
    id: string | null | undefined;
    idealDirection?: MainDirections;
    onKeyDown: (event: React.KeyboardEvent<HTMLElement>) => void;
    onResize: () => void;
    positionRelativeToAnchor?: boolean;
    relativeOffset: Coordinates | null | undefined;
    role: Role | null | undefined;
    rounding?: 2 | 4;
    shouldFocus?: boolean;
    triggerRect: ClientRect | null | undefined;
    width: number | null | undefined;
    __dangerouslyIgnoreScrollBoundaryContainerSize?: boolean;
    zIndex?: Indexable;
    overflow?: Extract<Overflow, 'auto' | 'hidden' | 'visible'>;
};
export default function WrappedLegacyContents(props: OwnProps): import("react/jsx-runtime").JSX.Element;
export {};
