import { Cache } from './Cache';
import { Align, Layout, Position } from './types';
export default function getLayoutAlgorithm<T extends {
    readonly [key: string]: unknown;
}>({ align, columnWidth, gutter, items, layout, measurementStore, minCols, positionStore, width, _twoColItems, _logTwoColWhitespace, _legacyFlexibleGutterLogic, }: {
    align: Align;
    columnWidth: number;
    gutter?: number;
    items: ReadonlyArray<T>;
    layout: Layout;
    measurementStore: Cache<T, number>;
    minCols: number;
    positionStore: Cache<T, Position>;
    width: number | null | undefined;
    _twoColItems?: boolean;
    _logTwoColWhitespace?: (arg1: number) => void;
    _legacyFlexibleGutterLogic?: boolean;
}): (forItems: ReadonlyArray<T>) => ReadonlyArray<Position>;
