import { Cache } from './Cache';
import { Position } from './types';
export declare const MULTI_COL_ITEMS_MEASURE_BATCH_SIZE = 5;
export declare function initializeHeightsArray<T extends {
    readonly [key: string]: unknown;
}>({ centerOffset, columnCount, columnWidthAndGutter, gutter, items, positionCache, }: {
    centerOffset: number;
    columnCount: number;
    columnWidthAndGutter: number;
    gutter: number;
    items: ReadonlyArray<T>;
    positionCache: Cache<T, Position> | null | undefined;
}): ReadonlyArray<number>;
declare const multiColumnLayout: <T extends {
    readonly [key: string]: unknown;
}>({ items, gutter, columnWidth, columnCount, centerOffset, logWhitespace, measurementCache, positionCache, whitespaceThreshold, }: {
    items: readonly T[];
    gutter?: number | undefined;
    columnWidth?: number | undefined;
    columnCount?: number | undefined;
    centerOffset?: number | undefined;
    positionCache: Cache<T, Position>;
    measurementCache: Cache<T, number>;
    whitespaceThreshold?: number | undefined;
    logWhitespace?: ((arg1: number) => void) | undefined;
}) => ReadonlyArray<Position>;
export default multiColumnLayout;
