import { ReactNode } from 'react';
import { Overflow } from '../boxTypes';
import { MainDirections } from '../utils/positioningTypes';
export type Role = 'dialog' | 'listbox' | 'menu' | 'tooltip';
type Props = {
    accessibilityLabel?: string;
    anchor: HTMLElement;
    bgColor: 'blue' | 'darkGray' | 'white';
    border?: boolean;
    caret?: boolean;
    children?: ReactNode;
    id: string | null | undefined;
    idealDirection?: MainDirections;
    onKeyDown: (event: React.KeyboardEvent<HTMLElement>) => void;
    role: Role | null | undefined;
    rounding?: 2 | 4;
    shouldFocus?: boolean;
    width: number | null | undefined;
    scrollBoundary?: HTMLElement;
    hideWhenReferenceHidden?: boolean;
    onPositioned?: () => void;
    shouldTrapFocus?: boolean;
    overflow?: Extract<Overflow, 'auto' | 'hidden' | 'visible'>;
};
export default function Contents({ accessibilityLabel, anchor, bgColor, border, caret, children, id, idealDirection, role, rounding, width, shouldFocus, onKeyDown, scrollBoundary, hideWhenReferenceHidden, onPositioned, shouldTrapFocus, overflow, }: Props): import("react/jsx-runtime").JSX.Element;
export {};
