import { ReactElement } from 'react';
import icons from '../icons/index';
import { Indexable } from '../zIndex';
type IconType = keyof typeof icons | {
    __path: string;
};
type Display = 'expandable' | 'static';
type BadgeType = {
    text: string;
    type?: 'info' | 'error' | 'warning' | 'success' | 'neutral';
};
type Counter = {
    number: string;
    accessibilityLabel: string;
};
type Props = {
    hovered: boolean;
    focused: boolean;
    itemColor: 'secondary' | null | undefined;
    expanded: boolean;
    selectedItemId: string;
    itemId: string;
    paddingStyle: {
        paddingInlineStart: string | number | undefined;
        paddingInlineEnd: string | number | undefined;
    } | Record<any, any>;
    icon?: IconType;
    label: string;
    badge?: BadgeType;
    notificationAccessibilityLabel?: string;
    counter?: Counter;
    display?: Display;
    primaryAction?: {
        icon?: 'ellipsis' | 'edit' | 'trash-can';
        onClick?: (arg1: {
            event: React.MouseEvent<HTMLDivElement> | React.KeyboardEvent<HTMLDivElement>;
        }) => void;
        tooltip: {
            accessibilityLabel?: string;
            text: string;
            zIndex?: Indexable;
        };
        dropdownItems?: ReadonlyArray<ReactElement>;
    };
    setCompression: (arg1: 'compress' | 'none') => void;
    hasActiveChild?: boolean;
};
export default function SideNavigationGroupContent({ itemColor, expanded, selectedItemId, itemId, paddingStyle, icon, label, badge, notificationAccessibilityLabel, counter, display, primaryAction, setCompression, hovered, focused, hasActiveChild, }: Props): import("react/jsx-runtime").JSX.Element;
export {};
